import 'package:json_annotation/json_annotation.dart';

part 'data.g.dart';

/// model for call ///
@JsonSerializable()
class Data{
  @JsonKey(name: 'body')
  final String body;

  @JsonKey(name: 'title')
  final String title;

  @JsonKey(name: 'app')
  final String app;

  @JsonKey(name: 'status')
  final String status;

  @JsonKey(name: 'consultation_id')
  final  String consultationId;

  @JsonKey(name: 'me')
  final String me;

  @JsonKey(name: 'friend')
  final String friend;

  Data({required this.body, required this.title, required this.app, required this.status, required this.consultationId, required this.me, required this.friend});

  factory Data.fromJson(Map<String, dynamic> json) => _$DataFromJson(json);

  Map<String, dynamic> toJson() => _$DataToJson(this);
}