import 'package:json_annotation/json_annotation.dart';
import 'package:transmedika_one_to_one_call/webrtc/registration_session.dart';
part 'reject_param.g.dart';

/// class or model reject call ///
@JsonSerializable()
class RejectParam{
  @JsonKey(name: 'id')
  final String id;

  @JsonKey(name: 'from')
  final RegistrationSession from;

  @JsonKey(name: 'to')
  final RegistrationSession to;

  RejectParam({required this.id, required this.from, required this.to});

  factory RejectParam.fromJson(Map<String, dynamic> json) => _$RejectParamFromJson(json);

  Map<String, dynamic> toJson() => _$RejectParamToJson(this);
}