/// abstract class for websocket service
abstract class WebSocketService{
  Future<void> connect();
  Future<void> send(data);
  Future<void> close();
  Function()? onOpen;
  Function(dynamic msg)? onMessage;
  Function(int code, String reason)? onClose;
}