import 'package:json_annotation/json_annotation.dart';
import 'package:transmedika_one_to_one_call/webrtc/data.dart';

part 'fcm.g.dart';

/// model for call ///
@JsonSerializable()
class Fcm{
  @JsonKey(name: 'to')
  final List<String> to;

  @JsonKey(name: 'data')
  final Data data;

  Fcm({required this.to, required this.data});

  factory Fcm.fromJson(Map<String, dynamic> json) => _$FcmFromJson(json);

  Map<String, dynamic> toJson() => _$FcmToJson(this);
}