import 'package:json_annotation/json_annotation.dart';
part 'registration_session.g.dart';

/// class or model session ///
@JsonSerializable()
class RegistrationSession{
  @JsonKey(name: 'name')
  final String name;

  @JsonKey(name: 'sessionId')
  final String? sessionId;

  RegistrationSession({required this.name, required this.sessionId});

  factory RegistrationSession.fromJson(Map<String, dynamic> json) => _$RegistrationSessionFromJson(json);

  Map<String, dynamic> toJson() => _$RegistrationSessionToJson(this);
}