import 'package:transmedika_one_to_one_call/webrtc/websocket_service.dart';

/// Use Case Web Socket
abstract class SocketUseCaseService{
  Future<void> connect({required String url,
    required Function()? onOpen,
    required Function(dynamic message) onMessage,
    required Function(int? code, String? reason)? onClose});
  WebSocketService getSocket();
  Future<void> close();
}